/* 	
 * $Id: config.h,v 1.2 2003/05/18 20:07:33 mikelima Exp $
 *
 *	This file contains the B2 configuration widget
 *
 *	Copyright (c) 2001
 *		Karol Szwed <gallium@kde.org>
 *		http://gallium.n3.net/
 */

#ifndef _KDE_B2CONFIG_H
#define _KDE_B2CONFIG_H

#include <qvaluevector.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qhgroupbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qslider.h>
#include <kconfig.h>

class B2Config: public QObject
{
	Q_OBJECT

	public:
		B2Config( KConfig* conf, QWidget* parent );
		~B2Config();

	// These public signals/slots work similar to KCM modules
	signals:
		void changed();

	public slots:
		void load( KConfig* conf );	
		void save( KConfig* conf );
		void defaults();

	protected slots:
		void slotSelectionChanged();	// Internal use

	private:
		KConfig*    b2Config;
		QGroupBox*  gb;
		QHGroupBox* actionsGB;
		QCheckBox*  colorBorderCb;
		QCheckBox*  showGrabHandleCb;
		QComboBox*  titleEffectCb;
		QComboBox*  menuDblClickOp;
		QSlider*    thicknessSl;
		QValueVector<QString> effects;

		// Helper functions
		void loadEffectPixmaps(void);
};

#endif

// vim:ts=4:sw=4:
